Bug 194505 - dns/powerdns: fails check-plist
Summary: dns/powerdns: fails check-plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-21 05:09 UTC by Jeremy Johnston
Modified: 2014-11-24 08:58 UTC (History)
4 users (show)

See Also:
tremere: maintainer-feedback+


Attachments
Fix check-plist and add missing luabackend patches (2.85 KB, patch)
2014-10-21 08:02 UTC, Ralf van der Enden
no flags Details | Diff
Poudriere build log (amd64) (100.26 KB, text/plain)
2014-10-21 08:02 UTC, Ralf van der Enden
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Johnston 2014-10-21 05:09:53 UTC
It appears with the update to 3.4.0 the plist has been broken with non-default backends enabled.

root@pkg:/usr/ports/dns/powerdns # make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: share/doc/pdns/dnssec-3.x_to_3.4.0_schema.mysql.sql
Error: Orphaned: share/doc/pdns/dnssec-3.x_to_3.4.0_schema.pgsql.sql
Error: Orphaned: share/doc/pdns/dnssec-3.x_to_3.4.0_schema.sqlite3.sql
Error: Orphaned: share/doc/pdns/nodnssec-3.x_to_3.4.0_schema.mysql.sql
Error: Orphaned: share/doc/pdns/nodnssec-3.x_to_3.4.0_schema.pgsql.sql
Error: Orphaned: share/doc/pdns/nodnssec-3.x_to_3.4.0_schema.sqlite3.sql
Error: Orphaned: share/doc/pdns/schema.mysql.sql
Error: Orphaned: share/doc/pdns/schema.pgsql.sql
Error: Orphaned: share/doc/pdns/schema.sqlite3.sql
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%DOCSDIR%%/dnssec-3.x_to_3.4.0_schema.mysql.sql
Error: Missing: %%DOCSDIR%%/dnssec-3.x_to_3.4.0_schema.pgsql.sql
Error: Missing: %%DOCSDIR%%/dnssec-3.x_to_3.4.0_schema.sqlite3.sql
Error: Missing: %%DOCSDIR%%/nodnssec-3.x_to_3.4.0_schema.mysql.sql
Error: Missing: %%DOCSDIR%%/nodnssec-3.x_to_3.4.0_schema.pgsql.sql
Error: Missing: %%DOCSDIR%%/nodnssec-3.x_to_3.4.0_schema.sqlite3.sql
Error: Missing: %%DOCSDIR%%/schema.mysql.sql
Error: Missing: %%DOCSDIR%%/schema.pgsql.sql
Error: Missing: %%DOCSDIR%%/schema.sqlite3.sql
===> Error: Plist issues found.
Comment 1 Bugzilla Automation freebsd_committer 2014-10-21 05:09:53 UTC
Maintainer CC'd
Comment 2 Ralf van der Enden 2014-10-21 07:10:38 UTC
The person that committed my previous patch commented out the DOCSDIR= line from my patch which breaks the check-plist obviously. I found a different way to set that (and found some other issues). Will update the port today with a new patch that should fix all that.
Comment 3 Ralf van der Enden 2014-10-21 08:02:13 UTC
Created attachment 148531 [details]
Fix check-plist and add missing luabackend patches

git doesn't automatically add new files unless you add them with the -N flag. Previous patch therefore didn't include them.

Also, previous committer commented out the DOCSDIR line from the Makefile, which breaks the check-plist step. To remedy this I now use --docsdir= with configure.
Comment 4 Ralf van der Enden 2014-10-21 08:02:36 UTC
Created attachment 148532 [details]
Poudriere build log (amd64)
Comment 5 Ralf van der Enden 2014-10-22 10:53:39 UTC
Several users are mailing me about the same issue. Could this PR get some priority ?
Comment 6 John Marino freebsd_committer 2014-10-22 11:04:43 UTC
(In reply to Ralf van der Enden from comment #2)
> The person that committed my previous patch commented out the DOCSDIR= line
> from my patch which breaks the check-plist obviously. I found a different
> way to set that (and found some other issues). Will update the port today
> with a new patch that should fix all that.

Ralf,
Was that person Kurt (pi@) ?

Adding to pi@ to CC.  If he made a change that broke the build after it was poudriere tested, he should know (and be first in line to commit the fix).  If he doesn't have time, I'll try to do it.

John
Comment 7 Kurt Jaeger freebsd_committer 2014-10-22 11:12:11 UTC
(In reply to Ralf van der Enden from comment #2)
> The person that committed my previous patch commented out the DOCSDIR= line
> from my patch which breaks the check-plist obviously.

I ran the poudriere build with the DOCSDIR commented out and the generic
values worked. Sorry if this caused this to break with non-default options.
Comment 8 Kurt Jaeger freebsd_committer 2014-10-22 11:49:30 UTC
(In reply to Kurt Jaeger from comment #7)
> (In reply to Ralf van der Enden from comment #2)
> > The person that committed my previous patch commented out the DOCSDIR= line
> > from my patch which breaks the check-plist obviously.
> 
> I ran the poudriere build with the DOCSDIR commented out and the generic
> values worked. Sorry if this caused this to break with non-default options.

I'm testing your patch right now and will commit the change if poudriere
builds work out.
Comment 9 commit-hook freebsd_committer 2014-10-22 12:00:00 UTC
A commit references this bug:

Author: pi
Date: Wed Oct 22 11:59:51 UTC 2014
New revision: 371356
URL: https://svnweb.freebsd.org/changeset/ports/371356

Log:
  dns/powerdns: fix for check-plist with non-standard options

  The pkg-plist was broken with non-default backends enabled.

  PR:		194505
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

Changes:
  head/dns/powerdns/Makefile
  head/dns/powerdns/files/patch-modules__luabackend__lua_functions.cc
  head/dns/powerdns/files/patch-modules__luabackend__luabackend.hh